Subject: Bug#1518: x2go is aborted: unable to open display

From: simona bellavista <[email-masked]>
Date: Mon, 11 Jan 2021 17:51:01 +0100

Package: X2Go Client
Version:  4.1.2.2

I work on OSX client. I try to connect to a remote server, and the
connection fails. I was able to connect until 3 days ago, I did not change
anything that I can remember. I get the following error message:

Error: Aborting session with 'Unable to open display
'nx/nx,options=/tmp/.x2go-user/C-user-173-1610379165_stDXFCE_dp32/options:173''.

Session: Aborting session at 'Mon Jan 11 16:33:18 2021'.

Session: Session aborted at 'Mon Jan 11 16:33:18 2021'.

Loop: WARNING! Signals were not blocked in process with pid '30901'.

Warning: Signals were not blocked in process with pid '30901'.